PUT
/
v4
/
sequences
/
{id}
/
steps
/
{step_id}
/
variants
/
{variant_id}
Update a step variant
curl --request PUT \
  --url https://api.reply.io/v4/sequences/{id}/steps/{step_id}/variants/{variant_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "subject": "Follow up on our conversation",
  "body": "Hi {{firstName}}, I wanted to follow up...",
  "isEnabled": true
}
'
{
  "id": 1,
  "subject": "Follow up on our conversation",
  "body": "Hi {{firstName}}, I wanted to follow up...",
  "isEnabled": true
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Sequence Id

step_id
integer
required

Step Id

variant_id
integer
required

Variant Id

Body

application/json

Request body for creating or updating a text variant

body
string
required

Body content of the variant

subject
string | null

Subject line of the variant

isEnabled
boolean
default:true

Whether the variant is enabled

Response

Variant updated successfully

A text variant for a sequence step

id
integer

Unique identifier for the variant

subject
string | null

Subject line of the variant

body
string | null

Body content of the variant

isEnabled
boolean

Whether the variant is enabled